Bug 499897 - [VirtualBox-OSE] Virtual machine aborts after initialization
[VirtualBox-OSE] Virtual machine aborts after initialization
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mencal (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 14:56 EDT by Justin Newman
Modified: 2009-11-30 12:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 13:03:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Newman 2009-05-08 14:56:17 EDT
Description of problem: VirtualBox-OSE crashes and the machine status changes to "Aborted" a few seconds after starting


Version-Release number of selected component (if applicable): 2.2.2


How reproducible: Create and start any VM on VirtualBox-OSE


Actual results: VM crashes out without any error message


Expected results: VM boots and runs with no crashes


Additional info: As I understand it, release versions of VirtualBox ahve error logging turned off, so I'm not sure how to debug this. If there's any relevant info I can provide just request it.
Comment 1 Bug Zapper 2009-06-09 11:28:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lubomir Rintel 2009-08-04 08:10:07 EDT
Justin: Are you still able to reproduce this?
You may want to report it to RPM Fusion bugzilla [1], since Fedora does not ship VirtualBox-OSE.

[1] http://bugzilla.rpmfusion.org/
Comment 3 Justin Newman 2009-08-04 12:43:44 EDT
Wow, did not even notice that. What's wrong with the VBox-OSE license? GPLv2?

Anyway, I've long since moved to the non-free version, which has been working fine.
Comment 4 Lubomir Rintel 2009-08-04 13:03:38 EDT
(In reply to comment #3)
> Wow, did not even notice that. What's wrong with the VBox-OSE license? GPLv2?

License's not a problem. VirtualBox-OSE requires external kernel module and kernel modules which outside of the main kernel package are not allowed.
Comment 5 Justin Newman 2009-08-04 13:10:40 EDT
... sigh. I love Fedora, really I do, but the package base is anaemic and things like that are part of the reason why. ^^

Anyway, sorry about the misfiled bug. Closing.
Comment 6 Lubomir Rintel 2009-08-04 13:42:37 EDT
(In reply to comment #5)
> ... sigh. I love Fedora, really I do, but the package base is anaemic and
> things like that are part of the reason why. ^^

Hm, 8829 [1] packages. That feels far from "anaemic" to me.
[1] https://admin.fedoraproject.org/pkgdb/packages/bugs/index/
Comment 7 Justin Newman 2009-08-04 13:52:55 EDT
8829 doesn't really compare well with 25113 [1], does it? I run into something that's missing pretty much every time I turn around.

Anyway, didn't mean to start anything...

[1] http://www.debian.org/intro/why_debian
Comment 8 Lubomir Rintel 2009-08-04 14:58:02 EDT
Well, not starting anything.... anyways, that's rather unfair -- the number 25113 seems pretty much made up :)

Actually -- it's 28251 packages. Binary packages:

$ wget -qO - 'http://packages.debian.org/stable/allpackages?format=txt.gz' |gunzip |wc -l
28251

Well, short skim through the list reveals that most of it are subpackages; pretty much duplicates. Let's eliminate those (and well, maybe ~100 innocent packages):

$ wget -qO - 'http://packages.debian.org/stable/allpackages?format=txt.gz' |gunzip |sed 's/[ -].*//' |sort |uniq |wc -l
11453

Quite different number, huh? And some of them are just compat packages of obsolete software:

$ wget -qO - 'http://packages.debian.org/stable/allpackages?format=txt.gz' |gunzip |sed 's/[ -].*//;s/[0-9\.]*$//' |sort |uniq |wc -l
10129

I am aware that the regexps are not prefect, but enough for a rough comparison. You get the point. Moreover, they ship stuff that's included in RPM Fusion, and we grow much faster.

Note You need to log in before you can comment on or make changes to this bug.